*, *::before, *::after {
    box-sizing: border-box;
    min-width: 0;
    padding: 0;
    margin: 0;
}

:root {
    font-size: 14px;
    font-family: 'Atkinson Hyperlegible Regular';
}

html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    min-height: 11in;
    padding: 2rem 2rem;
    max-width: 8.5in;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

h1 {
    font-size: 1.2rem;
    border-top: 3px double black;
    margin: 0;
    font-family: 'Atkinson Hyperlegible Bold';
}

a {
    color: black;
    text-decoration: none;
}

.contact {
/*    border-bottom: 1px solid black;*/
    & h1[itemprop="name"] {
        margin-top: 0rem;
        margin-bottom: 0;
        border-top: none;

        font-family: 'Atkinson Hyperlegible Bold';
        font-size: 1.5rem;
        text-align: center;
    }

    & address {
        font-style: normal;
        display: flex;
        flex-wrap: wrap;
        gap: 0.7rem;
        justify-content: space-between;
        align-items: center;
    }
}

[itemprop="address"] {
    & > :is([itemprop="streetAddress"], [itemprop="postOfficeBoxNumber"])::after {
        content: ', ';
    }
}

.block {
    & h2 {
        font-size: 1rem;
    }

    & > ul {
        margin-left: 1rem;
    }

    & > :first-child {
        display: grid;
        grid-template-columns: 1fr 1fr 0.5fr 0.7fr;
        font-weight: bold;

        & > * {
            text-align: left;
            text-align: center;
        }

        & > :first-child {
            text-align: left;
            text-decoration: underline;
        }

        & > :last-child {
            text-align: right;
        }
    }
}

@media (width < 46rem) {
    address {
        flex-direction: column;
    }
    .block > :first-child {
        grid-template-columns: 1fr 1fr 0.7fr;
        & > :nth-child(3) {
            display: none;
        }
    }
}

.cluster {
    & > h3 {
        margin-right: 1rem;
        font-size: 1rem;
        font-weight: bold;
    }

    display: grid;
    grid-template-columns: 7rem auto;
}

.horizontal {
    padding: 0;

    & > * {
        display: inline;
    }

    & > :not(:last-child)::after {
        content: ', ';
    }
    & > :last-child::after {
        content: '.';
    }
}

@font-face {
    font-family: 'Atkinson Hyperlegible Regular';
    src: url('AtkinsonHyperlegible-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Atkinson Hyperlegible Bold';
    src: url('AtkinsonHyperlegible-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

